Bug 4794 - gass_server_ez consumes all cpu when transfering certain files
: gass_server_ez consumes all cpu when transfering certain files
Status: RESOLVED FIXED
: GridFTP
GASS
: 4.0.1
: All All
: P3 normal
: 4.0.4
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-10-19 16:39 by
Modified: 2006-10-23 11:33 (History)


Attachments
New GASS Transfer Package (235.35 KB, application/x-tar)
2006-10-20 15:15, Joe Bester
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-19 16:39:30
I've found some text files that cause the gass_server_ez module to eat up all
the available cpu and never complete the transfer. The distinguishing
characteristic apppears to be that the text files have a few 600-character long
lines. When one of those lines spans the 1MB size mark of the file, the server
stops receiving the file, the client hangs, and the server consumes all of the
cpu. The line before the long line is the last thing written to disk. The
server still responds to other transfer requests.

When I break the long lines of these files into lengths shorter than 80
characters, the problem goes away. 12-15MB binary files transfer just fine as
well.

I'm using globus-gass-server and globus-url-copy. Globus 4.0.1 and 4.0.3 show
this problem.
I will post one of the files that causes the problem.
------- Comment #1 From 2006-10-19 16:41:51 -------
Bugzilla doesn't like 1MB+ files, apparently. Is there some other way I can
send you the file?
------- Comment #2 From 2006-10-20 10:56:43 -------
Can you send a link or a program to generate such a test file. Also, are you
using some particular options with the GASS server program?

joe
------- Comment #3 From 2006-10-20 13:29:17 -------
Here's a link to a file that causes the problem:
http://www.cs.wisc.edu/~jfrey/bug4794/lgfile

Also, the problem only happens if I go local -> remote, like so:
globus-url-copy file:///tmp/lgfile
https://nostos.cs.wisc.edu:57970/tmp/lgfile.1

I'm starting globus-gass-server with no command-line arguments.
------- Comment #4 From 2006-10-20 15:15:05 -------
Created an attachment (id=1095) [details]
New GASS Transfer Package

Attaching an update to the GASS Transfer implementation which I think fixes
this issue.

joe
------- Comment #5 From 2006-10-20 16:34:30 -------
That did the trick. The files transfer just fine now.
------- Comment #6 From 2006-10-23 11:33:30 -------
Committed to trunk and 4.0 branch. Advisory info at
http://www.globus.org/toolkit/advisories.html?version=4.0#globus_gass_transfer-2.11

joe